Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## chrriis.dj.nativeswing.swtimpl.components.win32
Enum JWMediaPlayer.WMPMediaState

    java.lang.Object
      java.lang.Enum<JWMediaPlayer.WMPMediaState>
          chrriis.dj.nativeswing.swtimpl.components.win32.JWMediaPlayer.WMPMediaState

All Implemented Interfaces:
  Serializable, Comparable<JWMediaPlayer.WMPMediaState>

Enclosing class:
  JWMediaPlayer

    public static enum JWMediaPlayer.WMPMediaState

extends Enum<JWMediaPlayer.WMPMediaState>

The state of a media.

Author:
  Christopher Deckers

Enum Constant Summary
`BUFFERING`
`MEDIA_ENDED`
`PAUSED`
`PLAYING`
`READY`
`RECONNECTING`
`SCAN_FORWARD`
`SCAN_REVERSE`
`STOPPED`
`TRANSITIONING`
`UNDEFINED`
`WAITING`

Method Summary
`static JWMediaPlayer.WMPMediaState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static JWMediaPlayer.WMPMediaState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UNDEFINED

    public static final JWMediaPlayer.WMPMediaState UNDEFINED

### STOPPED

    public static final JWMediaPlayer.WMPMediaState STOPPED

### PAUSED

    public static final JWMediaPlayer.WMPMediaState PAUSED

### PLAYING

    public static final JWMediaPlayer.WMPMediaState PLAYING

### SCAN_FORWARD

    public static final JWMediaPlayer.WMPMediaState SCAN_FORWARD

### SCAN_REVERSE

    public static final JWMediaPlayer.WMPMediaState SCAN_REVERSE

### BUFFERING

    public static final JWMediaPlayer.WMPMediaState BUFFERING

### WAITING

    public static final JWMediaPlayer.WMPMediaState WAITING

### MEDIA_ENDED

    public static final JWMediaPlayer.WMPMediaState MEDIA_ENDED

### TRANSITIONING

    public static final JWMediaPlayer.WMPMediaState TRANSITIONING

### READY

    public static final JWMediaPlayer.WMPMediaState READY

### RECONNECTING

    public static final JWMediaPlayer.WMPMediaState RECONNECTING

Method Detail

### values

    public static JWMediaPlayer.WMPMediaState[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (JWMediaPlayer.WMPMediaState c : JWMediaPlayer.WMPMediaState.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static JWMediaPlayer.WMPMediaState valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD